[SciPy-user] Problems compiling SciPy in Cygwin

Crider, Joseph A joseph.a.crider at Boeing.com
Fri Jan 6 16:09:48 CST 2006


Yes, it was SciPy 0.3.2.  I am still unable to build numpy.core.umath in
the copy of numpy I downloaded this morning, but I don't have time to
dig any further into why. 


J. Allen Crider
(256)461-2699

-----Original Message-----
From: Travis Oliphant [mailto:oliphant.travis at ieee.org] 
Sent: Friday, January 06, 2006 4:02 PM
To: SciPy Users List
Subject: Re: [SciPy-user] Problems compiling SciPy in Cygwin

Crider, Joseph A wrote:

>After some more digging through documentation on Python.org and 
>experimentation, I think I may have come up with a satisfactory answer 
>for my needs at least.  I had been just using the command
>	python setup.py build
>to build SciPy.  Changing the command to
>	python setup.py build --compiler=cygwin resulted in an error
similar 
>to that below in the xplt module.  Since I don't plan to use xplt, I 
>placed that in the list ignore_packages in setup.py and got a 
>successful build.
>
>
>  
>
Thanks for reporting your solution.   I'm pretty sure this is with SciPy

0.3.2 and Numeric as a base.

The new SciPy 0.4.X  requires NumPy as a base.  But, similar
instructions are probably in order there as well..

-Travis

_______________________________________________
SciPy-user mailing list
SciPy-user at scipy.net
http://www.scipy.net/mailman/listinfo/scipy-user



More information about the SciPy-user mailing list